## org.apache.catalina.startup
Interface UserDatabase

All Known Implementing Classes:
  HomesUserDatabase, PasswdUserDatabase

public interface UserDatabase

Abstraction of the set of users defined by the operating system on the current server platform.

Version:
  $Revision: 1.2 $ $Date: 2004/08/26 21:41:41 $
Author:
  Craig R. McClanahan

Method Summary
`java.lang.String` `getHome(java.lang.String user)` Return an absolute pathname to the home directory for the specified user.
`UserConfig` `getUserConfig()` Return the UserConfig listener with which we are associated.
`java.util.Enumeration` `getUsers()` Return an enumeration of the usernames defined on this server.
`void` `setUserConfig(UserConfig userConfig)` Set the UserConfig listener with which we are associated.

Method Detail

### getUserConfig

    public UserConfig getUserConfig()

  Return the UserConfig listener with which we are associated.

### setUserConfig

    public void setUserConfig(UserConfig userConfig)

  Set the UserConfig listener with which we are associated.

  Parameters:
    `userConfig` - The new UserConfig listener

### getHome

    public java.lang.String getHome(java.lang.String user)

  Return an absolute pathname to the home directory for the specified user.

  Parameters:
    `user` - User for which a home directory should be retrieved

### getUsers

    public java.util.Enumeration getUsers()

  Return an enumeration of the usernames defined on this server.

Copyright ? 2000-2002 Apache Software Foundation. All Rights Reserved.